Update a webhook endpoint
PATCH
/v1/projects/{projectId}/webhook-endpoints/{endpointId}curl -X PATCH 'https://api.embodiflow.io/v1/projects/{projectId}/webhook-endpoints/{endpointId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"url": "string",
"description": "string",
"eventTypes": [
"string"
],
"status": "active"
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- projectIdstringrequired
- endpointIdstringrequired
Header parameters
- If-Matchstring
Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
Request body
Content-Typeapplication/json
- urlstring
- descriptionstring | null
- eventTypesarray<string>
- statusstringAllowed valuesactivedisabled
Responses
Success
- dataobjectrequired
- idstringrequired
- tenantIdstringrequired
- projectIdstring | nullrequired
- urlstringrequired
- descriptionstring | nullrequired
- eventTypesarray<string>required
- statusstringrequiredAllowed valuesactivedisableddisabled_by_platform
- secretVersionnumberrequired
- previousSecretExpiresAtstring | nullrequired
- consecutiveFailureCountnumberrequired
- lastFailureAtstring | nullrequired
- lastSuccessAtstring | nullrequired
- disabledAtstring | nullrequired
- createdAtstringrequired
- updatedAtstringrequired
- metaobjectrequired
- requestIdstringrequired
Response example
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"url": "string",
"description": "string",
"eventTypes": "recording.processed",
"status": "active",
"secretVersion": 0,
"previousSecretExpiresAt": "string",
"consecutiveFailureCount": 0,
"lastFailureAt": "string",
"lastSuccessAt": "string",
"disabledAt": "string",
"createdAt": "string",
"updatedAt": "string"
},
"meta": {
"requestId": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1